Name:          geolatte-geom
Version:       0.14
Release:       1%{?dist}
Summary:       A geometry model for Java that conforms to the Simple Features For SQL
License:       LGPLv3+
URL:           http://www.geolatte.org/
Source0:       https://github.com/GeoLatte/geolatte-geom/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.vividsolutions:jts)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(jaxen:jaxen)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.codehaus.jackson:jackson-mapper-asl)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

BuildArch:     noarch

%description
This geoLatte-geom library offers a geometry model
that conforms to the OGC Simple Features for SQL
specification.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

%pom_xpath_set "pom:dependency[pom:groupId='log4j']/pom:version" 1.2.17
%pom_xpath_set "pom:dependency[pom:groupId='org.codehaus.jackson']/pom:artifactId" jackson-mapper-asl

%pom_remove_dep org.apache.directory.studio:org.apache.commons.collections
%pom_add_dep commons-collections:commons-collections:3.2.1:test

%mvn_file org.geolatte:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license copyright-template.vml

%files javadoc -f .mfiles-javadoc
%license copyright-template.vml

%changelog
* Sun Apr 19 2015 gil cattaneo <puntogil@libero.it> 0.14-1
- initial rpm
